textures/ospdm15/blem_ospdm15_lavahell
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_lightsubdivide 32
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 125
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/ospdm15/blem_ospdm15_killtrim
{
	qer_editorimage textures/gothic_block/killtrim.tga
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/gothic_block/killtrim.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}

textures/ospdm15/blem_ospdm15_yellowflare
{
	cull disable
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autosprite
	nopicmip
	qer_editorimage textures/ospdm15/yellowflare.tga

	{
		clampmap textures/ospdm15/yellowflare.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
	}
}

textures/ospdm15/blem_ospdm15_lava
{
	qer_editorimage textures/liquids/protolava2.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 50
	cull disable
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1

	{
		map textures/liquids/protolava2.tga
		tcmod scale .2 .2
		tcmod scroll .04 .03
		tcMod turb 0 .1 0 .01
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/liquids/protolava.tga
		blendfunc blend
		tcMod turb 0 .2 0 .1
	}
}

textures/ospdm15/blem_ospdm15_sky
{
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightimage textures/ospdm15/clouds2.tga
	q3map_surfaceLight 350
	qer_editorimage textures/ospdm15/clouds2.tga
	q3map_sun	1 1 1 32	90 90
	skyparms - 512 -

	{
		map textures/ospdm15/clouds1.tga
		tcMod scale 3 2
		tcMod scroll 0.015 0.015
	}
	{
		map textures/ospdm15/clouds2.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.005 0.005
	}
}

textures/ospdm15/blem_ospdm15_yellowteleporter
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	qer_trans 0.5
	qer_editorimage textures/ospdm15/yellowteleporter.tga
	q3map_lightimage textures/ospdm15/yellowteleporter.tga
	q3map_surfaceLight 150
	{
		map textures/ospdm15/yellowteleporter.tga
		tcmod stretch sawtooth 1 1 0.5 1
		rgbGen wave inverseSawtooth 0 1 0.5 1
		blendfunc add
	}
	{
		map textures/ospdm15/yellowteleporter.tga
		tcmod stretch sawtooth 1 1 1 1
		rgbGen wave inverseSawtooth 0 1 1 1
		blendfunc add
	}
}

textures/ospdm15/blem_grille
{
	surfaceparm	metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
        nopicmip
        qer_editorimage textures/base_floor/pjgrate2.tga
	
	{
		map textures/base_floor/pjgrate2.tga
		tcMod scale 2.0 2.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ospdm15/blem_fog
{
		qer_editorimage textures/sfx/fog_yel.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( 1 .6 .3 ) 3000
}
